package com.persagy.apm.diagnose.indicatorrecord.service;

import com.persagy.apm.diagnose.indicatorrecord.model.*;
import com.persagy.apm.diagnose.indicatorrecord.model.dto.*;
import java.util.List;
import com.baomidou.mybatisplus.core.metadata.IPage;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * 监测指标历史记录(MonitorIndicatorRecord) service接口
 *
 * @author lixing
 * @version V1.0 2021-09-10 00:13:27
 */
public interface IMonitorIndicatorRecordService  {
    
    /**
    * 创建监测指标历史记录
    *
    * @param addMonitorIndicatorRecordDTO addDTO
    * @return 监测指标历史记录主键
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public String createMonitorIndicatorRecord(AddMonitorIndicatorRecordDTO addMonitorIndicatorRecordDTO);
    
    /**
    * 监测指标历史记录详情
    *
    * @param id 主键
    * @return 监测指标历史记录do对象
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public MonitorIndicatorRecord queryMonitorIndicatorRecordDetail(String id);
    
    /**
    * 更新监测指标历史记录
    *
    * @param updateMonitorIndicatorRecordDTO updateDTO
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public void updateMonitorIndicatorRecord(UpdateMonitorIndicatorRecordDTO updateMonitorIndicatorRecordDTO);
    
    /**
    * 删除监测指标历史记录
    *
    * @param id 主键
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public void deleteMonitorIndicatorRecord(String id);
    
    /**
    * 查询监测指标历史记录
    *
    * @param queryMonitorIndicatorRecordDTO queryDTO
    * @return List<MonitorIndicatorRecord>
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public List<MonitorIndicatorRecord> queryMonitorIndicatorRecordList(QueryMonitorIndicatorRecordDTO queryMonitorIndicatorRecordDTO);
    
    /**
    * 分页查询监测指标历史记录
    * 
    * @param pageQueryMonitorIndicatorRecordDTO pageQueryDTO
    * @return IPage<MonitorIndicatorRecord>
    * @author lixing
    * @version V1.0 2021-09-10 00:13:27
    */
    public IPage<MonitorIndicatorRecord> pageQueryMonitorIndicatorRecord(PageQueryMonitorIndicatorRecordDTO pageQueryMonitorIndicatorRecordDTO);
}
